/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
          		  transformarTexto = true; // Cambiar a false, si la actividad es de lenguaje o requiere validación exacta de las palabras   
          		  eliminarEspacios = false; // Cambiar a true, si la actividad es de matemáticas o requiere omitir los espacios en blanco de la validación
          		  //Total de inputs       
                  TotalInput = 20;
          
                  sym.setVariable("Respuesta_20", "462");
                  sym.setVariable("Respuesta_21", "1.041");
                  sym.setVariable("Respuesta_22", "462");
          
                  operacionCalc = "";
                  //Para filtrar se pueden usar las siguientes variables:
               /* 
              'int':     /[\d]/,
              'float':     /[\d\.]/,
              'money':    /[\d\.\s,]/,
          
              'num':      /[\d\-\.]/,
              'hex':      /[0-9a-f]/i,
              'email':    /[a-z0-9_\.\-@]/i,
              'alpha':    /[a-zA-Z_ ]/i,
              'alphaupper': /[A-Z_ ]/i,
              'alphanum': /[a-z0-9_]/i,
              'alphanumlower':/[a-z0-9_]/,
              'alphanumupper':/[a-z0-9_]/,	
              'alphaspace':    /[a-z ]/i,
              'alphanumspace': /[a-z0-9_ ]/i,
              'alphanumspacelower':/[a-z0-9_ ],
              'mathsym':'[+-=\/*]/,
              'alphaacent':'[a-zA-Z_áéíóúü ]',
              'alphanumacent':'[a-z0-9_.áéíóúü ]'
          		*/
          
                  	sym.setVariable("border", "2px double #cccccc");		// Modifica el borde del input
          			sym.setVariable("fondo", "rgba(255,255,255,0.5)");		// Modifica el color de fondo del input
          			sym.setVariable("colorini", "#666666");					// Editar el color de la letra 
          			sym.setVariable("colorok", "#666666");
          			sym.setVariable("fondook","rgba(169,194,88,0.80)");
          			sym.setVariable("colorbad", "#ffffff");
          			sym.setVariable("fondobad", "#f3716c");
          			sym.setVariable("fontsize", "27px");						// Editar el tamaño de fuente
          			sym.setVariable("fontFamily", "Cabin");					//	Editar el tipo de fuente
          			sym.setVariable("fontStyle", "normal");				
          			sym.setVariable("fontweight", "bold");
          			sym.setVariable("height", "auto");
          			sym.setVariable("border-radius", "5px");
          			sym.setVariable("alineacionTexto", "center");			// Editar la alineación del texto en el input
          
          			$(".resultado").css("pointer-events","none");
          
          
          			//$('[id^="Stage_Input_"]').keyup(function() {  
          			$('.int').keyup(function() {  
          				for(var i=13;i<=19;i++){
          					$("#seleccion_"+i).val("");
          				}												
            				var idInput=$(this).attr("id").slice(12);
            				var nextInput=parseInt(idInput)+1;
            				var valorInput = $("#seleccion_"+idInput).val();  				
            				if(valorInput.length>0 && idInput<12){
            					$("#seleccion_"+nextInput).focus();
            				}
          			});

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1500, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

            Symbol.bindElementAction(compId, symbolName, "${_bt_resultado}", "click", function(sym, e) {
         Numero1 = "";
         
         var AD1=0,AD2=0,AD3=0,AD4=0,AD5=0,AD6=0;
         var AD1 = $("#seleccion_1").val();
         var AD2 = $("#seleccion_2").val();
         var AD3 = $("#seleccion_3").val();
         var AD4 = $("#seleccion_4").val();
         var AD5 = $("#seleccion_5").val();
         var AD6 = $("#seleccion_6").val();
         
         var BD1=0,BD2=0,BD3=0,BD4=0,BD5=0,BD6=0;
         var BD1 = $("#seleccion_7").val();
         var BD2 = $("#seleccion_8").val();
         var BD3 = $("#seleccion_9").val();
         var BD4 = $("#seleccion_10").val();
         var BD5 = $("#seleccion_11").val();
         var BD6 = $("#seleccion_12").val();
         
         
         NumeroA = AD1+""+AD2+""+AD3+""+AD4+""+AD5+""+AD6;
         NumeroB = BD1+""+BD2+""+BD3+""+BD4+""+BD5+""+BD6;
         
         NumeroA = parseInt(NumeroA);
         NumeroB = parseInt(NumeroB);
         Resultado = "";
         $("#Stage_Toperacion").css("font-size","46px");
         $("#Stage_Toperacion").html(operacionCalc);
         
         if(operacionCalc == "suma"){
         	Resultado = NumeroA + NumeroB;
         }
         if(operacionCalc == "resta"){
         	Resultado = NumeroA - NumeroB;
         }
         if(operacionCalc == ""){
         	$("#Stage_Toperacion").css("font-size","26px");
         	$("#Stage_Toperacion").html("Selecciona la operación");
         }
         
         if(isNaN(Resultado)) {
         	$("#Stage_Toperacion").css("font-size","26px");
         	$("#Stage_Toperacion").html("Falta digitar uno de los numeros");
         }else{
         	if(Resultado<0){
         		$("#Stage_Toperacion").css("font-size","26px");
         		$("#Stage_Toperacion").html("El primer valor debe ser mayor que el segundo");
         	} 
         	else{		
         		Resultado = ""+Resultado;
         		var ResultadoOp = Resultado.split("");
         		var j=19;
         		for(var i=ResultadoOp.length-1;i>=0;i--){			
         			$("#seleccion_"+j).val(ResultadoOp[i]);
         			j--;
         		}			
         	}
         }
         
         
         
         
         

      });
         //Edge binding end



            Symbol.bindElementAction(compId, symbolName, "${_bt_suma}", "click", function(sym, e) {
         operacionCalc = "suma";
         
         $("#Stage_Toperacion").css("font-size","46px");
         $("#Stage_Toperacion").html("suma");
         for(var i=13;i<=19;i++){
         	$("#seleccion_"+i).val("");
         }	

      });
         //Edge binding end



            Symbol.bindElementAction(compId, symbolName, "${_bt_resta}", "click", function(sym, e) {
         operacionCalc = "resta";
         
         $("#Stage_Toperacion").css("font-size","46px");
         $("#Stage_Toperacion").html("resta");
         for(var i=13;i<=19;i++){
         	$("#seleccion_"+i).val("");
         }		

      });
         //Edge binding end



      

      

      

      

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'ok'
   (function(symbolName) {   
   
   })("ok");
   //Edge symbol end:'ok'

   //=========================================================
   
   //Edge symbol: 'bad'
   (function(symbolName) {   
   
   })("bad");
   //Edge symbol end:'bad'

   //=========================================================
   
   //Edge symbol: 'bt_validar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

   //=========================================================
   
   //Edge symbol: 'contenido'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1500, function(sym, e) {
         sym.stop();
         sym.getComposition().getStage().stop("final");

      });
      //Edge binding end

   })("contenido");
   //Edge symbol end:'contenido'

   //=========================================================
   
   //Edge symbol: 'SECRE'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1500, function(sym, e) {
         sym.stop();
         sym.getSymbol("secretaria").play(0);

      });
      //Edge binding end

   })("SECRE");
   //Edge symbol end:'SECRE'

   //=========================================================
   
   //Edge symbol: 'secretaria'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("secretaria");
   //Edge symbol end:'secretaria'

   //=========================================================
   
   //Edge symbol: 'secretaria_head'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("secretaria_head");
   //Edge symbol end:'secretaria_head'

   //=========================================================
   
   //Edge symbol: 'ella'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6000, function(sym, e) {
         
         sym.playReverse();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

   })("ella");
   //Edge symbol end:'ella'

   //=========================================================
   
   //Edge symbol: 'EL'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5000, function(sym, e) {
         // introducir código aquí
         sym.playReverse();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

   })("EL");
   //Edge symbol end:'EL'

   //=========================================================
   
   //Edge symbol: 'pp1'
   (function(symbolName) {   
   
   })("pp1");
   //Edge symbol end:'pp1'

   //=========================================================
   
   //Edge symbol: 'pp2'
   (function(symbolName) {   
   
   })("pp2");
   //Edge symbol end:'pp2'

   //=========================================================
   
   //Edge symbol: 'pp3'
   (function(symbolName) {   
   
   })("pp3");
   //Edge symbol end:'pp3'

   //=========================================================
   
   //Edge symbol: 'cabeza_el'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play("ini");

      });
      //Edge binding end

   })("cabeza_el");
   //Edge symbol end:'cabeza_el'

   //=========================================================
   
   //Edge symbol: 'cabeza_ella'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5250, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play("ini");

      });
      //Edge binding end

   })("cabeza_ella");
   //Edge symbol end:'cabeza_ella'

})(jQuery, AdobeEdge, "EDGE-94063035");
 